#ifndef __ROPE_H__
#define __ROPE_H__

typedef
struct _rope_t {
	char	*chars;
	int		 size;	/* Allocated size, excluding terminating NULL */
	int		 length;	/* Used length */
} rope_t;

rope_t	*rope_new(char *str);
void	 rope_delete(rope_t *rope);
char	*rope_chars(rope_t *rope);
int		 rope_length(rope_t *rope);
rope_t	*rope_add(rope_t *targ, char *src);
void	 rope_set(rope_t *targ, char *str);
rope_t	*rope_concat(rope_t *targ, rope_t *src);
char	*rope_substr(rope_t *rope, int start, int end);

#endif
