#ifndef __WREGEX_H__
#define __WREGEX_H__

#include <sys/types.h>
#include <regex.h>

#include "library.h"

typedef regex_t wregex_t;

wregex_t	*wregex_new(char *str, int flags);
void		 wregex_delete(wregex_t *preg);
bool		 wregex_execute(wregex_t *preg, char *str);
char		*wregex_errorstr(void);
bool		 wregex_error(void);

#endif
