#ifndef __RUNTIME_H__
#define __RUNTIME_H__

#include "vector.h"
#include "hash.h"
#include "regexlist.h"
#include "log.h"

vector_t	*runtime_new(char *path);
void		 runtime_delete(vector_t *r);
void		 runtime_push_back( vector_t	*r,
								regexlist_t	*rlist,
								hash_t		*shash);
void		 runtime_execute(vector_t *v, errmsg_t *msg);

#endif
